Anonymous Login
2017-05-25 16:15 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001865OpenClonkObjectspublic2017-01-17 14:14
ReporterK-Pone 
Assigned To 
PrioritynormalSeverityminorReproducibilitysometimes
StatusconfirmedResolutionopen 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0001865: Pumps not pumping anymore
DescriptionAfter some time the pumps are not pumping any liquids anymore. Included a savegame where that happened. I pumped water with one of the pumps on the bottom right, it didn't come out of the output pipe. Only a few drops were actually transfered. I tried switching on and off various pumps, but there was no change.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005528

K-Pone (developer)

used snapshot 4c51620dcf

~0005535

Maikel (developer)

In this savegame I can't find any problems directly. Some pumps were turned off, but when I turned on those some oil was pumped into the refinery drain.

~0005538

K-Pone (developer)

attached another savegame where this occurs.

To reproduce it, stop one or two of the pumps on the right side until the pool where the pipes go to is looking completely empty, then reactivate the pumps. Then take a look at the output pipes if there's still oil coming out of it. This sometimes doesn't happen. This save is unfortunately at 25 minutes of gameplay, while the bug mostly occurs after at least 1 or 2 hours of playing time.

~0005539

Maikel (developer)

It may have been fixed by https://git.openclonk.org/openclonk.git/commit/32dc9e31331380e948ea55ae92e7597df05d8cff, but I don't think so.

I can't really figure out what goes wrong. Does this only happen when pumping from infinite materials?

~0005543

Maikel (developer)

Last edited: 2016-12-18 13:22

View 2 revisions

It is related to the amount of free pixels that are allowed to exist in OC, which is 10000. Once over the amount InsertMaterial still returns true, although no pixels are created.

This can be fixed easily and also probably relatively easily for CanInsertMaterial, however, it is then unclear for the player why the pump stopped as the drain is not clogged. The pump would tell the player the drain is clogged.

I am not sure how to solve this.

~0005551

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/ae6cdc6619ee69797c6f1627c41e447a8a733fdb

Changeset ae6cdc6 by Maikel de Vries <mdt.maikel@gmail.com>
fix return value of InsertMaterial when a pixel is created

This is a partial fix for 0001865. Also this return value still needs to be fixed for query_only == true, but that requires a bit more work in C4PXS.

~0005600

Maikel (developer)

The problem is now much less likely with the new PXS insertion method by Sven2. We can however still fix the return values of *InsertMaterial.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-11 18:13 K-Pone New Issue
2016-12-11 18:13 K-Pone File Added: RapidRefining5.ocs
2016-12-11 18:17 K-Pone Note Added: 0005528
2016-12-16 21:16 Maikel Note Added: 0005535
2016-12-16 22:03 K-Pone File Added: TestBrokenPump.ocs.zip
2016-12-16 22:06 K-Pone Note Added: 0005538
2016-12-17 17:39 Maikel Note Added: 0005539
2016-12-18 10:46 Maikel Note Added: 0005543
2016-12-18 13:22 Maikel Note Edited: 0005543 View Revisions
2016-12-18 13:26 Maikel Status new => feedback
2016-12-19 22:50 occ Note Added: 0005551
2017-01-17 14:14 Maikel Note Added: 0005600
2017-01-17 14:14 Maikel Priority high => normal
2017-01-17 14:14 Maikel Severity block => minor
2017-01-17 14:14 Maikel Status feedback => confirmed
+Issue History